Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Perl extension for SHA-1/224/256/384/512
Name:		perl-Digest-SHA
Version:	5.31
Release:	3
License:	GNU/GPL 
URL:		http://search.cpan.org/~mshelor/Digest-SHA
Group:		Development/Perl
Source0:	Digest-SHA-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

%define		perlepoch	3
%define		perlversion	5.8.8

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
Perl extension for SHA-1/224/256/384/512
For more details see: http://search.cpan.org/~mshelor/Digest-SHA

%post
ldconfig

%postun
ldconfig

%prep
%setup -n Digest-SHA-%{version}

%build
perl Makefile.PL /usr
make

%install
rm -Rf $RPM_BUILD_ROOT 
make install DESTDIR=$RPM_BUILD_ROOT 
# removing unwanted stuff
if [ -f "$RPM_BUILD_ROOT%_libdir/perl5/%{perlversion}/i686-linux/perllocal.pod" ]; then
rm -f $RPM_BUILD_ROOT%_libdir/perl5/%{perlversion}/i686-linux/perllocal.pod
fi
# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir
%_mandir
%_bindir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 5.31-3
- Rebuild against perl-5.8.8
* Sun Dec 04 2005 Stefan Gottwald <gotti@ccux-linux.de> 5.31-2
- Rebuild against perl-5.8.7
* Sun Dec 04 2005 Stefan Gottwald <gotti@ccux-linux.de> 5.31-1
- Initial Release
